# ApplicationFramework
PTKernel
DBC

# DBC_VArrayTNodeOfVArrayOfCharacter Class Reference

`#include <DBC_VArrayTNodeOfVArrayOfCharacter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| DBC_VArrayTNodeOfVArrayOfCharacter ()
| DBC_VArrayTNodeOfVArrayOfCharacter (const Standard_Character &aValue)
void | SetValue (const Standard_Character &aValue)
Standard_Address | Value () const

## Private Attributes

Standard_Character | myValue

## Constructor & Destructor Documentation

DBC_VArrayTNodeOfVArrayOfCharacter::DBC_VArrayTNodeOfVArrayOfCharacter | ( |  | ) |

DBC_VArrayTNodeOfVArrayOfCharacter::DBC_VArrayTNodeOfVArrayOfCharacter | ( | const Standard_Character & | aValue | ) |

## Member Function Documentation

void DBC_VArrayTNodeOfVArrayOfCharacter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBC_VArrayTNodeOfVArrayOfCharacter::operator new | ( | size_t | size | ) | `[inline]`

void* DBC_VArrayTNodeOfVArrayOfCharacter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void DBC_VArrayTNodeOfVArrayOfCharacter::SetValue | ( | const Standard_Character & | aValue | ) |

Standard_Address DBC_VArrayTNodeOfVArrayOfCharacter::Value | ( |  | ) | const

## Field Documentation

Standard_Character DBC_VArrayTNodeOfVArrayOfCharacter::myValue `[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayTNodeOfVArrayOfCharacter.hxx